Using InstantRails and Heroku

December 22, 2009

If you’re using Instant Rails 2.0 and starting to use Heroku, you may have run into trouble installing the heroku gem.

You may need to update rubygems with this command

gem update --system

Once I did that, the normal heroku command line install…

gem install heroku

…worked successfully.

Before that I installed the files they specified in their support documentation locally with commands like

gem install json-1.1.1-mswin32.gem

After downloading the specific *.gem files. I probably wouldn’t have had to do local installs if I had updated rubygems with gem update –system

Advertisements